BasicOptionPaneUI.ButtonActionListener (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicOptionPaneUI, class: ButtonActionListener
Keywords: javax.swing.plaf.basic.BasicOptionPaneUI.ButtonActionListener class

# Class BasicOptionPaneUI.ButtonActionListener

java.lang.Object
javax.swing.plaf.basic.BasicOptionPaneUI.ButtonActionListener

All Implemented Interfaces:
  `ActionListener, EventListener`

Enclosing class:
  `BasicOptionPaneUI`

public class BasicOptionPaneUI.ButtonActionListener extends Object implements ActionListener
This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicOptionPaneUI`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `buttonIndex`
  The index of the button.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ButtonActionListener(int buttonIndex)`
  Constructs a new instance of `ButtonActionListener`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  Invoked when an action occurs.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### buttonIndex

    protected int buttonIndex
    The index of the button.

- ## Constructor Details

  - ### ButtonActionListener

    public ButtonActionListener(int buttonIndex)
    Constructs a new instance of `ButtonActionListener`.
    Parameters:
      `buttonIndex` - an index of the button

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    Description copied from interface: `ActionListener`
    Invoked when an action occurs.
    Specified by:
      `actionPerformed` in interface `ActionListener`
    Parameters:
      `e` - the event to be processed